<?php
/************************************************************/
/* NPDS : Net Portal Dynamic System                         */
/* ==========================                               */
/* Fichier : modules/tags/admin/admin.php                   */
/*                                                          */
/* Module Tags                                              */
/* Version 1.0                                              */
/* Auteur Oim                                               */
/************************************************************/

	/*Debut Securite*/
	if (!function_exists('Access_Error'))
	{

		header('location: ../.. /../index.php');

	}

	if (!strstr($PHP_SELF,'admin.php'))
	{

		Access_Error();

	}
	/*Fin Securite*/

//////////////////////
/// DEBUT FONCTION ///
//////////////////////

/// DEBUT MENU PRINCIPAL ///
function menuprincipal()
{

	global $ModPath, $NPDS_Prefix;
	global $ThisFile;

	Opentable();

	$version = 'V.1.0';

	echo '<div class="titre_module">'.adm_tag_trad('Administration de Tags').'&nbsp;'.$version.'</div>'

	.'<div class="cadre_admin">'
	.'<div class="titre_admin" align="center">[&nbsp;<a href="'.$ThisFile.'">'.adm_tag_trad('Liste des Tags').'</a>&nbsp;&nbsp;&nbsp;|&nbsp;&nbsp;&nbsp;'
	.'<a href="'.$ThisFile.'&amp;subop=delest">'.adm_tag_trad('D&eacute;lestage').'</a>&nbsp;&nbsp;&nbsp;|&nbsp;&nbsp;&nbsp;'
	.'<a href="'.$ThisFile.'&amp;subop=configuration">'.adm_tag_trad('Configuration').'</a>&nbsp;&nbsp;&nbsp;|&nbsp;&nbsp;&nbsp;'
	.'<a href="modules.php?ModPath='.$ModPath.'&amp;ModStart=tags">'.adm_tag_trad('Voir le module').'</a>&nbsp;]</div><br />';

	/*Requete total Tags*/
	$total = sql_num_rows(sql_query("SELECT * FROM ".$NPDS_Prefix."tags"));

	echo '<div align="center">'.adm_tag_trad('Nombre total de Tags').'&nbsp;=>&nbsp;<span class="text_rouge">'.$total.'</span></div>'
	.'</div>';

	Closetable();

}
/// FIN MENU PRINCIPAL ///

/// DEBUT INDEX ///
function adminta()
{

	global $ModPath, $NPDS_Prefix;
	global $ThisFile, $order, $page;

	/*Debut securite*/
	settype($order,"integer");
	settype($page,"integer");
	/*Fin securite*/

	include('modules/'.$ModPath.'/admin/config.php');
	require_once('modules/'.$ModPath.'/tag_pag.php');

	menuprincipal();

	Opentable();

	/*Total pour naviguation*/
	$nb_entrees = sql_num_rows(sql_query("SELECT * FROM ".$NPDS_Prefix."tags"));

	/*Pour la naviguation*/
	$total_pages = ceil($nb_entrees/$nb_admin);

	if($page == 1)
	{

		$page_courante = 1;

	} 
	else
	{

		if ($page < 1)
			$page_courante = 1;
		elseif ($page > $total_pages)
			$page_courante = $total_pages;
		else
			$page_courante = $page;

	}

	$start = ($page_courante * $nb_admin - $nb_admin);

	/*Ordre par defaut*/
	if($order == '0'){$order1 = "section";}
	else if($order == '1'){$order1 = 'article';}
	else if($order == '2'){$order1 = 'forum';}
	else if($order == '3'){$order1 = 'blog';}
	else if($order == '4'){$order1 = 'video';}
	else if($order == '5'){$order1 = 'recette';}
	else if($order == '6'){$order1 = 'fiche';}
	else if($order == '7'){$order1 = 'championnat';}

	echo '<div class="cadre_admin">'
	.'<div class="titre_admin" align="center">'.adm_tag_trad('Tous les tags').'</div><br />'
	.'<div align="left">'.adm_tag_trad('Trier par').'&nbsp;'
	.'<a href="'.$ThisFile.'&amp;order=0">'
	.'<font color="#009900">'.adm_tag_trad('Section').'</font></a>&nbsp;-&nbsp;'
	.'<a href="'.$ThisFile.'&amp;order=1">'
	.'<font color="#0000FF">'.adm_tag_trad('Article').'</font></a>&nbsp;-&nbsp;'
	.'<a href="'.$ThisFile.'&amp;order=2">'
	.'<font color="#0F00F0">'.adm_tag_trad('Forum').'</font></a>';

	if (file_exists('modules/blogue/index.html'))
	{

		echo '&nbsp;-&nbsp;<a href="'.$ThisFile.'&amp;order=3">'
		.'<font color="#FF00FF">'.adm_tag_trad('Blog').'</font></a>';

	}

	if (file_exists('modules/video/index.html'))
	{

		echo '&nbsp;-&nbsp;<a href="'.$ThisFile.'&amp;order=4">'
		.'<font color="#FF0000">'.adm_tag_trad('Vid&eacute;o').'</font></a>';

	}

	if (file_exists('modules/recette/index.html'))
	{

		echo '&nbsp;-&nbsp;<a href="'.$ThisFile.'&amp;order=5">'
		.'<font color="#F0A0F">'.adm_tag_trad('Recette').'</font></a>';

	}

	if (file_exists('modules/sectionsbis/index.html'))
	{

		echo '&nbsp;-&nbsp;<a href="'.$ThisFile.'&amp;order=6">'
		.'<font color="#0F00C0">'.adm_tag_trad('Sectionsbis').'</font></a>';

	}

	if (file_exists('modules/championnat/index.html'))
	{

		echo '&nbsp;-&nbsp;<a href="'.$ThisFile.'&amp;order=7">'
		.'<font color="#CF00F0">'.adm_tag_trad('Championnat').'</font></a>';

	}

	echo '</div><br />'

	.'<table cellspacing="3" cellpadding="3" width="98%" align="center" border="0">'
	.'<tr align="center" class="sous_titre_module">'
	.'<td width="40%">'.adm_tag_trad('Tags').'</td>'
	.'<td width="10%">'.adm_tag_trad('ID du lien').'</td>'
	.'<td width="20%">'.adm_tag_trad('Type de lien').'</td>'
	.'<td width="10%">'.adm_tag_trad('Voir').'</td>'
	.'<td width="10%">'.adm_tag_trad('Editer').'</td>'
	.'<td width="10%">'.adm_tag_trad('Supprimer').'</td>'
	.'</tr>';

	/*Requete liste tag avec pagination*/
	$query = sql_query("SELECT tag, item_id, lien FROM ".$NPDS_Prefix."tags ORDER BY lien = '$order1' DESC, item_id DESC LIMIT $start,$nb_admin");
	while (list($tag, $item_id, $lien) = sql_fetch_row($query))
	{

		$tag = stripslashes($tag);

		echo '<tr class="titre_admin">'
		.'<td>'.$tag.'</td>';

		if ($lien == 'article')
		{

			$affiche = 'article.php?sid='.$item_id.'';

		}
		else if ($lien == 'blog')
		{

			$res = sql_query("SELECT auteur_id FROM ".$NPDS_Prefix."blog_news WHERE id = '$item_id'");
			list($auteur_id) = sql_fetch_row($res);

			$affiche = 'modules.php?ModPath=blogue&amp;ModStart=blogue&amp;op='.$auteur_id.'&amp;go=4&amp;id='.$item_id.'';

		}
		else if ($lien == 'section')
		{

			$affiche = 'sections.php?op=viewarticle&amp;artid='.$item_id.'';

		}
		else if ($lien == 'video')
		{

			$affiche = 'modules.php?ModPath=video&amp;ModStart=video&amp;subop=voir&amp;id='.$item_id.'';

		}
		else if ($lien == 'recette')
		{

			$affiche = 'modules.php?ModPath=recette&amp;ModStart=recette&amp;subop=voir&amp;id='.$item_id.'';

		}
		else if ($lien == 'forum')
		{

			$res = sql_query("SELECT topic_id, forum_id FROM ".$NPDS_Prefix."posts WHERE post_id = '$item_id' ORDER BY post_id ASC LIMIT 0,1");
			list($topic_id, $forum_id) = sql_fetch_row($res);

			$affiche = 'viewtopic.php?forum='.$forum_id.'&amp;topic='.$topic_id.'';

		}
		else if ($lien == 'fiche')
		{

			$res = sql_query("SELECT 
					us.secid, 
					ut.rubid 
				FROM 
					".$NPDS_Prefix."secbisart us, 
					".$NPDS_Prefix."secbissscate ut 
				WHERE 
					us.artid = '$item_id' 
					AND us.secid = ut.secid");
			list($secid, $rubid) = sql_fetch_row($res);

			$affiche = 'modules.php?ModPath=sectionsbis&amp;ModStart=article&amp;rubid='.$rubid.'&amp;secid='.$secid.'&amp;artid='.$item_id.'';

		}
		else if ($lien == 'championnat')
		{

			$affiche = 'modules.php?ModPath=championnat&amp;ModStart=championnat&amp;subop=toutarticle&amp;idclub='.$item_id.'';

		}

		echo '<td align="center">'.$item_id.'</td>'
		.'<td align="center">'.$lien.'</td>'
		.'<td align="center"><a href="'.$affiche.'" target="_blank">'.adm_tag_trad('Voir').'</a></td>'
		.'<td align="center"><a href="'.$ThisFile.'&amp;subop=edit&amp;item_id='.$item_id.'&amp;lien='.$lien.'"><img src="modules/'.$ModPath.'/images/editer.gif" border="0" /></a></td>'
		.'<td align="center"><a href="'.$ThisFile.'&amp;subop=del&amp;item_id='.$item_id.'&amp;lien='.$lien.'"><img src="modules/'.$ModPath.'/images/delete.gif" border="0" /></a></td>'
		.'</tr>';

	}

	echo '</table><br />';

	/*Affiche pagination*/
	echo tag_pag($total_pages,$page_courante,'2',''.$ThisFile.'&amp;order='.$order.'','_admin');

	echo '</div>';

	Closetable();

}
/// FIN INDEX ///

/// DEBUT EDITER TAGS ///
function edit($item_id, $lien)
{

	global $NPDS_Prefix;
	global $ThisFile;

	/*Debut securite*/
	settype($item_id,"integer");
	$lien = removeHack($lien);
	/*Fin securite*/

	menuprincipal();

	Opentable();

	if ($lien == 'article')
	{

		$affiche = 'article.php?sid='.$item_id.'';

	}
	else if ($lien == 'blog')
	{

		$res = sql_query("SELECT auteur_id FROM ".$NPDS_Prefix."blog_news WHERE id = '$item_id'");
		list($auteur_id) = sql_fetch_row($res);

		$affiche = 'blogue.php?op='.$auteur_id.'&amp;go=4&amp;id='.$item_id.'';

	}
	else if ($lien == 'section')
	{

		$affiche = 'sections.php?op=viewarticle&amp;artid='.$item_id.'';

	}
	else if ($lien == 'video')
	{

		$affiche = 'modules.php?ModPath=video&amp;ModStart=video&amp;subop=voir&amp;id='.$item_id.'';

	}
	else if ($lien == 'forum')
	{

		$res = sql_query("SELECT topic_id, forum_id FROM ".$NPDS_Prefix."posts WHERE post_id = '$item_id' ORDER BY post_id ASC LIMIT 0,1");
		while (list($topic_id, $forum_id) = sql_fetch_row($res))
		{

			$affiche = 'viewtopic.php?forum='.$forum_id.'&amp;topic='.$topic_id.'';

		}

	}
	else if ($lien == 'championnat')
	{

		$affiche = 'modules.php?ModPath=championnat&amp;ModStart=championnat&amp;subop=toutarticle&amp;idclub='.$item_id.'';

	}

	echo '<div class="cadre_admin">'
	.'<table cellspacing="3" cellpadding="1" width="98%" align="center" border="0">'
	.'<form action="'.$ThisFile.'" method="post" name="adminForm">'
	.'<input type="hidden" name="id" value="'.$item_id.'" />'
	.'<input type="hidden" name="lien" value="'.$lien.'" />'
	.'<tr>'
	.'<td align="center" class="sous_titre_module">'.adm_tag_trad('Cat&eacute;gorie').' <span class="text_rouge">'.$lien.'</span>&nbsp;-&nbsp;<a href="'.$affiche.'" target="_blank">Voir</a></td>'
	.'</tr>'

	.'<tr class="titre_admin">'
	.'<td align="center">'.adm_tag_trad('Tags s&eacute;par&eacute;s par une virgule').'</td>'
	.'</tr>'

	.'<tr class="titre_admin">'
	.'<td align="center">';

	/*Requete affiche tag suivant $item_id*/
	$sql = sql_query("SELECT tag FROM ".$NPDS_Prefix."tags WHERE item_id = '$item_id' AND lien = '$lien'");
	while (list($tag) = sql_fetch_row($sql))
	{

		$tag = str_replace("+", " ", $tag);

		echo '<input type="text" name="newtag" size="50" value="'.$tag.'" />';

	}

	echo '</td>'
	.'</tr>'

	.'<tr>'
	.'<td align="center" class="sous_titre_module">'
	.'<input type="hidden" name="subop" value="editag" />'
	.'<input type="submit" class="adm_bouton" value="'.adm_tag_trad('mettre &agrave; jour').'" />'
	.'</td>'
	.'</tr>'
	.'</form>'
	.'</table>'
	.'</div>';

	Closetable();

}
/// FIN EDITER TAGS ///

/// DEBUT VALID EDITER TAGS ///
function editag($id, $newtag, $lien)
{

	global $ModPath, $NPDS_Prefix;
	global $ThisRedo;

	/*Debut securite*/
	settype($id,"integer");
	$newtag = removeHack($newtag);
	$lien = removeHack($lien);
	/*Fin securite*/

	include('modules/'.$ModPath.'/tag_fonc.php');

	if (cur_charset!="utf-8") {$newtag = tag_noac(strtolower($newtag));}else{$newtag = tag_noac(utf8_decode(strtolower($newtag)));}

	/*On enleve les espaces debut et fin de mot*/
	$newt = explode(",",$newtag);
	for ($o = 0; $o < sizeof($newt); $o++)
	{

		$newt1 .= "".trim($newt[$o]).",";

	}

	/*On enleve la derniere virgule*/
	$newtag1 = substr($newt1,0,-1);

	/*On remplace les espaces des tags*/
	$newtag1 = str_replace(" ", "+", $newtag1);

	$sql = sql_query("SELECT id FROM ".$NPDS_Prefix."tags WHERE item_id = '$id' AND lien = '$lien' ORDER BY id ASC");
	list($tid) = sql_fetch_row($sql);

	$query = "UPDATE ".$NPDS_Prefix."tags SET tag = '$newtag1' WHERE id = '$tid'";
	sql_query($query) or die(sql_error());

	if ($query) redirect_url(''.$ThisRedo.'');

}
/// FIN VALID EDITER TAGS ///

/// DEBUT DELESTAGE ///
function delest()
{

	global $ModPath, $NPDS_Prefix;
	global $ThisFile, $total;

	include('modules/'.$ModPath.'/admin/config.php');

	menuprincipal();

	Opentable();

	/*Requete total Tags*/
	$tot = sql_num_rows(sql_query("SELECT * FROM ".$NPDS_Prefix."tags"));

	$proposition = $tot - $nb_nbretag;

	if($proposition > 0){$alors = '('.$tot.'&nbsp;-&nbsp;'.$nb_nbretag.')&nbsp;=&nbsp;'.$proposition.'';}else{$alors = ''.adm_tag_trad('AUCUN : Vous avez moins de Tags dans la base que dans votre configuration').'';}

	echo '<div class="cadre_admin">'
	.'<table cellspacing="3" cellpadding="3" width="98%" align="center" border="0">'
	.'<form action="'.$ThisFile.'" method="post" name="adminForm">'
	.'<tr class="titre_admin">'
	.'<td>'.adm_tag_trad('Dans votre configuration vous avez choisi le nombre de Tags pris en compte pour calculer les moyennes. Au dessus il est not&eacute; le nombre de Tags que vous avez dans votre base de donn&eacute;es. Si le nombre est sup&eacute;rieur &agrave; celui de votre configuration vous pouvez supprimer les anciens qui ne servent plus !').'</td>'
	.'</tr>'

	.'<tr class="titre_admin">'
	.'<td align="center">'
	.''.adm_tag_trad('Notre proposition').'&nbsp;:&nbsp;<span class="text_rouge">'.$alors.'</span><br />'
	.''.adm_tag_trad('Nombre de Tags que vous voulez supprimer').'&nbsp;:&nbsp;'
	.'<input type="text" name="nbres" size="3" />'
	.'</td>'
	.'</tr>'

	.'<tr>'
	.'<td align="center" class="sous_titre_module">'
	.'<input type="hidden" name="subop" value="suppdel" />'
	.'<input type="submit" class="adm_bouton" value="'.adm_tag_trad('mettre &agrave; jour').'" />'
	.'</td>'
	.'</tr>'
	.'</form>'
	.'</table>'
	.'</div>';

	Closetable();

}
/// FIN DELESTAGE ///

/// DEBUT SUPPRIMER UN TAG ///
function del($item_id, $lien, $ok=0)
{

	global $ModPath, $NPDS_Prefix;
	global $ThisFile;

	/*Debut securite*/
	settype($item_id,"integer");
	settype($ok,"integer");
	$lien = removeHack($lien);
	/*Fin securite*/

	menuprincipal();

	Opentable();

	if ($ok == 1)
	{

		$result = "DELETE FROM ".$NPDS_Prefix."tags WHERE item_id = '$item_id' AND lien = '$lien'";
		$succes = sql_query($result) or die ("erreur : ".sql_error());

		echo '<div class="cadre_admin" align="center"><span class="text_rouge">'.adm_tag_trad('Le tag est supprim&eacute;.').'</span><br /><br />[&nbsp;<a href="'.$ThisFile.'">'.adm_tag_trad('Retour Index').'&nbsp;]</div>';

	}
	else
	{

		echo '<div class="cadre_admin" align="center"><span class="text_rouge">'.adm_tag_trad('Voulez-vous vraiment supprimer ce tag ?').'</span><br /><br />'
		.'[&nbsp;<a href="'.$ThisFile.'">'.adm_tag_trad('NON').'</a>&nbsp;-&nbsp;'
		.'<a href="'.$ThisFile.'&amp;subop=del&amp;item_id='.$item_id.'&amp;lien='.$lien.'&amp;ok=1">'.adm_tag_trad('OUI').'</a>&nbsp;]</div>';

	}

	Closetable();

}
/// FIN SUPPRIMER UN TAG ///

/// DEBUT SUPPRIMER DELESTAGE ///
function suppdel($nbres, $ok=0)
{

	global $ModPath, $NPDS_Prefix;
	global $ThisFile;

	/*Debut securite*/
	settype($nbres,"integer");
	settype($ok,"integer");
	/*Fin securite*/

	menuprincipal();

	Opentable();

	if ($ok == 1)
	{

		$result = "DELETE FROM ".$NPDS_Prefix."tags ORDER BY id LIMIT $nbres";
		$succes = sql_query($result) or die ("erreur : ".sql_error());

		echo '<div class="cadre_admin" align="center"><span class="text_rouge">'.adm_tag_trad('Le d&eacute;lestage est fait.').'</span><br /><br />[&nbsp;<a href="'.$ThisFile.'">'.adm_tag_trad('Retour Index').'&nbsp;]</div>';

	}
	else
	{

		echo '<div class="cadre_admin" align="center"><span class="text_rouge">'.adm_tag_trad('Voulez-vous vraiment effectuer ce d&eacute;lestage ?').'</span><br /><br />'
		.'[&nbsp;<a href="'.$ThisFile.'">'.adm_tag_trad('NON').'</a>&nbsp;-&nbsp;'
		.'<a href="'.$ThisFile.'&amp;subop=suppdel&amp;nbres='.$nbres.'&amp;ok=1">'.adm_tag_trad('OUI').'</a>&nbsp;]</div>';

	}

	Closetable();

}
/// FIN SUPPRIMER DELESTAGE ///

/// DEBUT CONFIGURATION ///
function configuration()
{

	global $ModPath;
	global $ThisFile;

	include('modules/'.$ModPath.'/admin/config.php');
	include('modules/'.$ModPath.'/cache.timings.php');

	menuprincipal();

	Opentable();

	echo '<div class="cadre_admin">'
	.'<div class="titre_admin" align="center">'.adm_tag_trad('Pr&eacute;f&eacute;rences de Tag').'</div><br />'

	.'<table width="98%" align="center" cellpadding="2" cellspacing="5" border="0">'
	.'<form action="'.$ThisFile.'" method="post" name="adminForm">'
	.'<tr align="center">'
	.'<td colspan="2" class="sous_titre_module">'.adm_tag_trad('Admin').'</td>'
	.'</tr>'

	.'<tr class="titre_admin">'
	.'<td width="50%">'.adm_tag_trad('Nbre de tags Admin (Pagination)').'</td>'
	.'<td width="50%"><input type="text" name="xnb_admin" size="3" value="'.$nb_admin.'" /></td>'
	.'</tr>'

	.'<tr align="center">'
	.'<td colspan="2" class="sous_titre_module">'.adm_tag_trad('Module').'</td>'
	.'</tr>'

	.'<tr class="titre_admin">'
	.'<td width="40%">'.adm_tag_trad('Nbre de lignes de tags prient en compte dans la requ&ecirc;te.').'</td>'
	.'<td width="60%"><input type="text" name="xnb_nbretag" size="3" value="'.$nb_nbretag.'" /></td>'
	.'</tr>'

	.'<tr class="titre_admin">'
	.'<td width="40%">'.adm_tag_trad('Nbre de tags Module (Pagination)').'</td>'
	.'<td width="60%"><input type="text" name="xnb_news" size="3" value="'.$nb_news.'" /></td>'
	.'</tr>'

	.'<tr>'
	.'<td colspan="2" class="sous_titre_module" align="center">'.adm_tag_trad('Supercache').'</td>'
	.'</tr>'

	.'<tr class="titre_admin">'
	.'<td>'.adm_tag_trad('Temps du cache (en secondes)').'</td>'
	.'<td><input type="text" name="xtps" size="10" value="'.$CACHE_TIMINGS['modules.php'].'" /></td>'
	.'</tr>'

	.'<tr class="sous_titre_module">'
	.'<td align="center" colspan="2">'
	.'<input type="hidden" name="subop" value="ConfigSave" />'
	.'<input class="adm_bouton" type=submit value="'.adm_tag_trad('Sauver les changements').'" />'
	.'</td>'
	.'</tr>'
	.'</form>'
	.'</table>'

	.'</div>';

	Closetable();

}
/// FIN CONFIGURATION ///

/// DEBUT SAUVER CONFIGURATION ///
function ConfigSave($xnb_admin, $xnb_nbretag, $xnb_news, $xtps)
{

	global $ModPath;

	/*Debut securite*/
	settype($xnb_admin,"integer");
	settype($xnb_nbretag,"integer");
	settype($xnb_news,"integer");
	settype($xtps,"integer");
	/*Fin securite*/

	$file = fopen('modules/'.$ModPath.'/admin/config.php', 'w');

	$content = "<?php\n";
	$content .= "/************************************************************/\n";
	$content .= "/* NPDS : Net Portal Dynamic System                         */\n";
	$content .= "/* ==========================                               */\n";
	$content .= "/* Fichier : modules/tags/admin/config.php                  */\n";
	$content .= "/*                                                          */\n";
	$content .= "/* Module Tags                                              */\n";
	$content .= "/* Version 1.0                                              */\n";
	$content .= "/* Auteur Oim                                               */\n";
	$content .= "/************************************************************/\n";
	$content .= "\n";
	$content .= "\$nb_admin  = \"$xnb_admin\";\n";
	$content .= "\$nb_nbretag = \"$xnb_nbretag\";\n";
	$content .= "\$nb_news = \"$xnb_news\";\n";
	$content .= "\n";
	$content .= "?>\n";

	fwrite($file, $content);

	fclose($file);

	if($xtps)
	{

		$file = fopen('modules/'.$ModPath.'/cache.timings.php', 'w');

		$content = "<?php\n";
		$content .= "/************************************************************/\n";
		$content .= "/* NPDS : Net Portal Dynamic System                         */\n";
		$content .= "/* ==========================                               */\n";
		$content .= "/* Fichier : modules/tags/cache.timings.php                 */\n";
		$content .= "/*                                                          */\n";
		$content .= "/* Module de Tags                                           */\n";
		$content .= "/* Version 1.0                                              */\n";
		$content .= "/* Auteur Oim                                               */\n";
		$content .= "/************************************************************/\n";
		$content .= "\n";
		$content .= "\$CACHE_TIMINGS['modules.php']   = $xtps;\n";
		$content .= "\$CACHE_QUERYS['modules.php']   = \"^ModPath=$ModPath&ModStart=tags\";\n";
		$content .= "\n";
		$content .= "?>\n";

		fwrite($file, $content);

		fclose($file);

	}

	menuprincipal();

	Opentable();

	echo '<div class="cadre_admin">'
	.'<div class="text_rouge" align="center">'.adm_tag_trad('Les pr&eacute;f&eacute;rences pour Tag sont enregistr&eacute;es.').'</div>'
	.'</div>';

	Closetable();

}
/// FIN SAUVER CONFIGURATION ///

////////////////////
/// FIN FONCTION ///
////////////////////

	/*Debut Retro compatibilité SABLE*/
	if (!function_exists('sql_connect'))
	{

		include ('modules/'.$ModPath.'/retro-compat/mysql.php');

	}
	/*Fin Retro compatibilité SABLE*/

	if (file_exists('modules/'.$ModPath.'/admin/pages.php'))
	{

		include ('modules/'.$ModPath.'/admin/pages.php');

	}

	if ($admin)
	{

		/*Parametres utilises par le script*/
		$ThisFile = 'admin.php?op=Extend-Admin-SubModule&amp;ModPath='.$ModPath.'&amp;ModStart='.$ModStart.'';
		$ThisRedo = 'admin.php?op=Extend-Admin-SubModule&ModPath='.$ModPath.'&ModStart='.$ModStart.'';

		if (file_exists('modules/'.$ModPath.'/admin/lang/'.$language.'.php'))
		{

			include_once('modules/'.$ModPath.'/admin/lang/'.$language.'.php');

		}
		else
		{

			include_once('modules/'.$ModPath.'/admin/lang/french.php');

		}

		/*css perso admin en attendant evolution page.php*/
		if (isset($user))
		{

			echo '<link rel="stylesheet" type="text/css" href="themes/'.$cookie[9].'/style/'.$ModPath.'_admin.css" />';

		}
		else
		{

			echo '<link rel="stylesheet" type="text/css" href="themes/'.$Default_Theme.'/style/'.$ModPath.'_admin.css" />';

		}

		switch($subop)
		{

			default:
				adminta();
			break;

			case 'menuprincipal':
				menuprincipal();
			break;

			case 'edit':
				edit($item_id, $lien);
			break;

			case 'editag':
				editag ($id,$newtag, $lien);
			break;

			case 'delest':
				delest();
			break;

			case 'del':
				del($item_id, $lien, $ok);
			break;

			case 'suppdel':
				suppdel($nbres, $ok);
			break;

			case 'configuration':
				configuration();
			break;

			case 'ConfigSave':
				ConfigSave($xnb_admin, $xnb_nbretag, $xnb_news, $xtps);
			break;

		}

	}

?>