<?php
/************************************************************/
/* NPDS : Net Portal Dynamic System                         */
/* ==========================                               */
/* Fichier : modules/sectionsbis/bloc/bloc_tags_section.php */
/*                                                          */
/* Module Tags                                              */
/* Version 1.0                                              */
/* Auteur Oim                                               */
/************************************************************/

	global $language, $cookie, $user, $Default_Theme, $NPDS_Prefix;

	$ModPath = 'sectionsbis';

	/*Selectionne css suivant theme*/
	if (isset($user))
	{

		echo '<link rel="stylesheet" type="text/css" href="themes/'.$cookie[9].'/style/'.$ModPath.'_bloc.css" />';

	}
	else
	{

		echo '<link rel="stylesheet" type="text/css" href="themes/'.$Default_Theme.'/style/'.$ModPath.'_bloc.css" />';

	}

	/*Debut Retro compatibilité SABLE*/
	if (!function_exists('sql_connect'))
	{

		include ('modules/'.$ModPath.'/retro-compat/mysql.php');

	}
	/*Fin Retro compatibilité SABLE*/

	if (file_exists('modules/'.$ModPath.'/bloc/lang/'.$language.'.php'))
	{

		include_once('modules/'.$ModPath.'/bloc/lang/'.$language.'.php');

	}
	else
	{

		include_once('modules/'.$ModPath.'/bloc/lang/french.php');

	}

	include('modules/'.$ModPath.'/admin/config.php');

	/*Size minimum et maximum*/
	define("MIN_SIZE", 11);
	define("MAX_SIZE", 22);

	/*Requete affiche tag*/
	$result = sql_query("SELECT tag FROM ".$NPDS_Prefix."tags WHERE lien = 'section' AND statut = '1' ORDER BY ID DESC LIMIT 0,$nb_nbretag");

	while (list($tag) = sql_fetch_row($result))
	{

		$newt .= "$tag,";

	}

	/*permet de ne pas avoir de probleme avec max (si vide)*/
	if ($newt != '')
	{

		$text_array = explode(',', $newt);

		$text_count_array = array();

		foreach($text_array as $key => $word)
		{

			if(strlen($word) >= 2 && !is_numeric($word))
			{

				$text_count_array[] = $word;

			}

		}

		$text_count_array = array_count_values($text_count_array);

		ksort($text_count_array);

		$max = max(array_values($text_count_array));
		$min = min(array_values($text_count_array));

		$content = '<div align="left" style="padding:3px;">';

		foreach ($text_count_array as $word => $counted)
		{

			$min_size = MIN_SIZE;
			$max_size = MAX_SIZE;

			if ($counted < $min) $min = $counted1;
			if ($counted > $max) $max = $counted1;

			if($max == $min)
				$counted1 = 13;
			else
				$counted1 = intval($min_size + (($counted - $min) * (($max_size - $min_size) / ($max - $min))));

			$word1 = str_replace("+", " ", $word);

			$content .= '<a href="modules.php?ModPath=tags&amp;ModStart=tags&amp;subop=liste&amp;tags='.$word.'" style="font-size:'.$counted1.'px" title="'.$word1.'" class="secbis_level'.$counted1.'">'.$word1.'</a> ';

		}

		$content .= ' </div>';

	}
	else
	{

		$content = '&nbsp;';

	}

?>