<?PHP
/************************************************************************/
/* DUNE by NPDS                                                         */
/* ===========================                                          */
/*                                                                      */
/* Based on PhpNuke 4.x                                                 */
/*                                                                      */
/* This version name NPDS Copyright (c) 2001-2007 by Philippe Brunier   */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/
/************************************************************************/
/* Modification pour integrer le module de tags                         */
/* Ligne 405 a 423                                                      */
/* Ligne 529 a 542                                                      */
/* Ligne 615 a 682                                                      */
/* Ligne 690 a 714                                                      */
/* Ligne 855 a 874                                                      */
/* Ligne 889 a 895                                                      */
/* Ligne 924 a 930                                                      */
/* Ligne 1026 a 1064                                                    */
/* Ligne 1128 a 1141                                                    */
/* Ligne 1239 a 1252                                                    */
/* Declaration variable $tag ou $newtag                                 */
/* Ligne 440, 557, 958, 1152, 1291, 1318, 1320, 1342, 1353              */
/************************************************************************/

function Access_Error () {
  include("admin/die.php");
}
if (!eregi("admin.php", $PHP_SELF)) { Access_Error(); }
include ("publication.php");

$result = sql_query("select radminarticle, radminsuper from ".$NPDS_Prefix."authors where aid='$aid'");
list($radminarticle, $radminsuper) = sql_fetch_row($result);
if (($radminarticle!=1) and ($radminsuper!=1)) {
   Access_Error();
}

function puthome($ihome) {
    echo "<br /><b>".adm_translate("Publier dans la racine ?")."</b>&nbsp;&nbsp;";
    $sel1 = "checked";
    $sel2 = "";
    if ($ihome == 1) {
        $sel1 = "";
        $sel2 = "checked";
    }
    echo "<input type=\"radio\" name=\"ihome\" value=\"0\" $sel1>".adm_translate("Oui")."&nbsp;";
    echo "<input type=\"radio\" name=\"ihome\" value=\"1\" $sel2>".adm_translate("Non");
    echo "&nbsp;&nbsp; <span class=\"noir\">[ ".adm_translate("Ne s'applique que si la catgorie : <b>'Articles'</b> n'est pas slectionne.")." ]</span><br /><br />";

    $sel1 = "";
    $sel2 = "checked";
    echo "<span class=\"rouge\"><b>".adm_translate("Seulement aux membres")."</b></span> :";
    if ($ihome<0) {
       $sel1 = "checked";
       $sel2 = "";
    }
    if (($ihome>1) and ($ihome<=127)) {
       $Mmembers=$ihome;
       $sel1 = "checked";
       $sel2 = "";
    }
    echo "<input type=\"radio\" name=\"members\" value=\"1\" $sel1>".adm_translate("Oui")."&nbsp; /
    ".adm_translate("Groupe")." : ";
    // ---- Groupes
    $mX=liste_group();
    $tmp_groupe="";
    while (list($groupe_id, $groupe_name)=each($mX)) {
       if ($groupe_id=="0") {$groupe_id="";}
       if ($Mmembers==$groupe_id) {$sel3="selected";} else {$sel3="";}
       $tmp_groupe.="<option value=\"$groupe_id\" $sel3>$groupe_name</option>\n";
      $nbg++;
    }
    echo "<select class=\"textbox_standard\" name=\"Mmembers\">".$tmp_groupe."</select>&nbsp;";
    // ---- Groupes
    echo "<input type=\"radio\" name=\"members\" value=\"0\" $sel2>".adm_translate("Non");
}

function SelectCategory($cat) {
    global $NPDS_Prefix;

    $selcat = sql_query("select catid, title from ".$NPDS_Prefix."stories_cat");
    echo " <b>".adm_translate("Catgorie")."</b> ";
    echo "<select class=\"textbox_standard\" name=\"catid\">";
    if ($cat == 0) {
       $sel = "selected";
    } else {
       $sel = "";
    }
    echo "<option name=\"catid\" value=\"0\" $sel>".adm_translate("Articles")."</option>";
    while(list($catidX, $title) = sql_fetch_row($selcat)) {
       if ($catidX==$cat) {
          $sel = "selected";
       } else {
          $sel = "";
       }
       echo "<option name=\"catid\" value=\"$catidX\" $sel>".aff_langue($title)."</option>";
    }
    echo "</select> [ <a href=\"admin.php?op=AddCategory\" class=\"noir\">".adm_translate("Ajouter")."</a> | <a href=\"admin.php?op=EditCategory\" class=\"noir\">".adm_translate("Editer")."</a> | <a href=\"admin.php?op=DelCategory\" class=\"rouge\">".adm_translate("Effacer")."</a> ]";
}

// CATEGORIES
function AddCategory () {
    include ("header.php");
    GraphicAdmin("");
    opentable();
    echo "<table width=\"100%\" cellspacing=\"2\" cellpadding=\"2\" border=\"0\"><tr><td class=\"header\">\n";
    echo adm_translate("Ajouter une nouvelle Catgorie");
    echo "</td></tr></table>\n";
    echo "<form action=\"admin.php\" method=\"post\">";
    echo "<b>".adm_translate("Nom : ")."</b> ";
    echo "<input class=\"textbox_standard\" type=\"text\" name=\"title\" size=\"50\" maxlength=\"255\"> - ";
    echo "<input type=\"hidden\" name=\"op\" value=\"SaveCategory\">";
    echo "<input class=\"bouton_standard\" type=\"submit\" value=\"".adm_translate("Sauver les modifications")."\">";
    echo "</form>";
    closetable();
    include("footer.php");
}
function SaveCategory($title) {
    global $NPDS_Prefix;

    $title = ereg_replace("\"","",$title);
    $check = sql_num_rows(sql_query("select catid from ".$NPDS_Prefix."stories_cat where title='$title'"));
    if ($check) {
        $what1 = adm_translate("Cette Catgorie existe dj !");
        $what2 = "[ <a href=\"javascript:history.go(-1)\" class=\"noir\">".adm_translate("Retour en arrire, pour changer le Nom")."</a> ]";
    } else {
        $what1 = adm_translate("Nouvelle Catgorie ajoute");
        $what2 = "[ <a href=\"admin.php\" class=\"noir\">".adm_translate("Retour  l'index d'administration")."</a> ]";
        $result = sql_query("insert into ".$NPDS_Prefix."stories_cat values (NULL, '$title', '0')");
    }
    include ("header.php");
    GraphicAdmin("");
    opentable();
    echo "<p align=\"center\"><b>$what1</b><br /><br />";
    echo "$what2</p><br />";
    closetable();
    include("footer.php");
}

function EditCategory($catid) {
    global $NPDS_Prefix;

    include ("header.php");
    GraphicAdmin("");
    opentable();
    echo "<table width=\"100%\" cellspacing=\"2\" cellpadding=\"2\" border=\"0\"><tr><td class=\"header\">\n";
    echo "".adm_translate("Edition des Catgories")."";
    echo "</td></tr></table>\n";
    $result = sql_query("select title from ".$NPDS_Prefix."stories_cat where catid='$catid'");
    list($title) = sql_fetch_row($result);
    if (!$catid) {
        $selcat = sql_query("select catid, title from ".$NPDS_Prefix."stories_cat");
        echo "<form action=\"admin.php\" method=\"post\"><b>";
        echo adm_translate("Slectionner une Catgorie")." : </b>";
        echo "<select class=\"textbox_standard\" name=\"catid\">";
        echo "<option name=\"catid\" value=\"0\" $sel>".adm_translate("Articles")."</option>";
        while(list($catid, $title) = sql_fetch_row($selcat)) {
            echo "<option name=\"catid\" value=\"$catid\" $sel>".aff_langue($title)."</option>";
        }
        echo "</select>";
        echo "<input type=\"hidden\" name=\"op\" value=\"EditCategory\">";
        echo " - <input class=\"bouton_standard\" type=\"submit\" value=\"".adm_translate("Editer")."\">";
        echo "</form>";
    } else {
        echo "<form action=\"admin.php\" method=\"post\">";
        echo "<b>".adm_translate("Nom : ")."</b> ";
        echo "<input class=\"textbox_standard\" type=\"text\" name=\"title\" size=\"50\" maxlength=\"255\" value=\"$title\"> ";
        echo "<input type=\"hidden\" name=\"catid\" value=\"$catid\">";
        echo "<input type=\"hidden\" name=\"op\" value=\"SaveEditCategory\">";
        echo " - <input class=\"bouton_standard\" type=\"submit\" value=\"".adm_translate("Sauver les modifications")."\">";
        echo "</form>";
    }
    closetable();
    include("footer.php");
}
function SaveEditCategory($catid, $title) {
    global $NPDS_Prefix;

    $title = ereg_replace("\"","",$title);
    $check = sql_num_rows(sql_query("select catid from ".$NPDS_Prefix."stories_cat where title='$title'"));
    if ($check) {
        $what1 = adm_translate("Cette Catgorie existe dj !");
        $what2 = "[ <a href=\"javascript:history.go(-2)\" class=\"noir\">".adm_translate("Retour en arrire, pour changer le Nom")."</a> ]";
    } else {
        $what1 = adm_translate("Catgorie sauvegarde");
        $what2 = "[ <a href=\"admin.php\" class=\"noir\">".adm_translate("Retour  l'index d'administration")."</a> ]";
        $result = sql_query("update ".$NPDS_Prefix."stories_cat set title='$title' where catid='$catid'");
        global $aid; Ecr_Log("security", "SaveEditCategory($catid, $title) by AID : $aid", "");
    }
    include ("header.php");
    GraphicAdmin("");
    opentable();
    echo "<p align=\"center\"><b>$what1</b><br /><br />";
    echo "$what2</p><br />";
    closetable();
    include("footer.php");
}

function DelCategory($cat) {
    global $NPDS_Prefix;

    include ("header.php");
    GraphicAdmin("");
    opentable();
    $result = sql_query("select title from ".$NPDS_Prefix."stories_cat where catid='$cat'");
    list($title) = sql_fetch_row($result);
    echo "<table width=\"100%\" cellspacing=\"2\" cellpadding=\"2\" border=\"0\"><tr><td class=\"header\">\n";
    echo adm_translate("Supprimer une Catgorie");
    echo "</td></tr></table>\n";
    if (!$cat) {
        $selcat = sql_query("select catid, title from ".$NPDS_Prefix."stories_cat");
        echo "<form action=\"admin.php\" method=\"post\">";
        echo "<b>".adm_translate("Slectionner une Catgorie  supprimer")." : </b>";
        echo "<select class=\"textbox_standard\" name=\"cat\">";
        while(list($catid, $title) = sql_fetch_row($selcat)) {
            echo "<option name=\"cat\" value=\"$catid\">".aff_langue($title)."</option>";
        }
        echo "</select>";
        echo "<input type=\"hidden\" name=\"op\" value=\"DelCategory\">";
        echo " - <input class=\"bouton_standard\" type=\"submit\" value=\"".adm_translate("Effacer")."\">";
        echo "</form>";
    } else {
        $result2 = sql_query("select * from ".$NPDS_Prefix."stories where catid='$cat'");
        $numrows = sql_num_rows($result2);
        if ($numrows == 0) {
            sql_query("delete from ".$NPDS_Prefix."stories_cat where catid='$cat'");
            global $aid; Ecr_Log("security", "DelCategory($cat) by AID : $aid", "");
            echo "<p align=\"center\"<br /><b><span class=\"noir\">".adm_translate("Suppression effectue")."</span></b></p><br />";
        } else {
            echo "<span class=\"noir\"><br /><b>".adm_translate("Attention : ")."</b> ".adm_translate("la Catgorie")." <b>$title</b> ".adm_translate("a")." <b>$numrows</b> ".adm_translate("Articles !")."<br /><br />";
            echo adm_translate("Vous pouvez supprimer la Catgorie, les Articles et Commentaires")." ";
            echo adm_translate("ou les affecter  une autre Catgorie.")."<br /><br /></span>";
            echo "<p align=\"center\" class=\"noir\">".adm_translate("Que voulez-vous faire ?")." - ";
            echo "<b>[ <a href=\"admin.php?op=YesDelCategory&amp;catid=$cat\" class=\"rouge\">".adm_translate("Tout supprimer")."</a> | ";
            echo "<a href=\"admin.php?op=NoMoveCategory&amp;catid=$cat\" class=\"noir\">".adm_translate("Affecter  une autre Catgorie")."</a> ]</b></p>";
        }
    }
    closetable();
    include("footer.php");
}
function YesDelCategory($catid) {
    global $NPDS_Prefix;

    sql_query("delete from ".$NPDS_Prefix."stories_cat where catid='$catid'");
    $result = sql_query("select sid from ".$NPDS_Prefix."stories where catid='$catid'");
    while(list($sid) = sql_fetch_row($result)) {
        sql_query("delete from ".$NPDS_Prefix."stories where catid='$catid'");
        // commentaires
        if (file_exists("modules/comments/article.conf.php")) {
            include ("modules/comments/article.conf.php");
            sql_query("DELETE FROM ".$NPDS_Prefix."posts WHERE forum_id='$forum' and topic_id='$topic'");
        }
    }
    global $aid; Ecr_Log("security", "YesDelCategory($catid) by AID : $aid", "");
    Header("Location: admin.php");
}
function NoMoveCategory($catid, $newcat) {
    global $NPDS_Prefix;

    include ("header.php");
    GraphicAdmin("");
    opentable();
    $result = sql_query("select title from ".$NPDS_Prefix."stories_cat where catid='$catid'");
    list($title) = sql_fetch_row($result);
    echo "<table width=\"100%\" cellspacing=\"2\" cellpadding=\"2\" border=\"0\"><tr><td class=\"header\">\n";
    echo adm_translate("Affectation d'Articles vers une nouvelle Catgorie");
    echo "</td></tr></table>\n";
    if (!$newcat) {
        echo "<br />".adm_translate("Tous les Articles dans")." <b>".aff_langue($title)."</b> ".adm_translate("seront affects ")."<br /><br />";
        $selcat = sql_query("select catid, title from ".$NPDS_Prefix."stories_cat");
        echo "<form action=\"admin.php\" method=\"post\">";
        echo "<b>".adm_translate("Slectionner la nouvelle Catgorie : ")."</b> ";
        echo "<select class=\"textbox_standard\" name=\"newcat\">";
        echo "<option name=\"newcat\" value=\"0\">".adm_translate("Articles")."</option>";
        while(list($newcat, $title) = sql_fetch_row($selcat)) {
                echo "<option name=\"newcat\" value=\"$newcat\">".aff_langue($title)."</option>";
        }
        echo "</select>";
        echo "<input type=\"hidden\" name=\"catid\" value=\"$catid\">";
        echo "<input type=\"hidden\" name=\"op\" value=\"NoMoveCategory\">";
        echo " - <input class=\"bouton_standard\" type=\"submit\" value=\"".adm_translate("Affectation")."\">";
        echo "</form>";
    } else {
        $resultm = sql_query("select sid from ".$NPDS_Prefix."stories where catid='$catid'");
        while(list($sid) = sql_fetch_row($resultm)) {
            sql_query("update ".$NPDS_Prefix."stories set catid='$newcat' where sid='$sid'");
        }
        sql_query("delete from ".$NPDS_Prefix."stories_cat where catid='$catid'");
        global $aid; Ecr_Log("security", "NoMoveCategory($catid, $newcat) by AID : $aid", "");
        echo "<p align=\"center\"><br /><b class=\"noir\">".adm_translate("La r-affectation est termine !")."</b></p><br />";
    }
    closetable();
    include("footer.php");
}

// NEWS
function displayStory ($qid) {
    global $NPDS_Prefix;
    global $tipath, $hlpfile, $language, $aid, $radminsuper;
    $hlpfile = "manuels/$language/newarticle.html";

    $result = sql_query("SELECT qid, uid, uname, subject, story, bodytext, topic, date_debval,date_finval,auto_epur FROM ".$NPDS_Prefix."queue where qid='$qid'");
    list($qid, $uid, $uname, $subject, $story, $bodytext, $topic, $date_debval,$date_finval,$epur) = sql_fetch_row($result);
    sql_free_result($result);
    $subject = stripslashes($subject);
    $story = stripslashes($story);
    $bodytext = stripslashes($bodytext);

    if ($topic<1) {$topic = 1;}
    $affiche=false;
    $result2=sql_query("select topictext, topicimage, topicadmin from ".$NPDS_Prefix."topics where topicid='$topic'");
    list ($topictext, $topicimage, $topicadmin)=sql_fetch_row($result2);
    if ($radminsuper) {
       $affiche=true;
    } else {
       $topicadminX=explode(",",$topicadmin);
       for ($i = 0; $i < count($topicadminX); $i++) {
          if (trim($topicadminX[$i])==$aid) $affiche=true;
       }
    }
    if (!$affiche) { header("location: admin.php?op=submissions");}

    include ('header.php');
    GraphicAdmin($hlpfile);
    opentable();
    echo "<table width=\"100%\" cellspacing=\"2\" cellpadding=\"2\" border=\"0\"><tr><td class=\"header\">\n";
    echo adm_translate("Prvisualiser l'Article");
    echo "</td></tr></table>\n";
    echo "<form action=\"admin.php\" method=\"post\" name=\"adminForm\">";
    echo "<p align=\"center\">";
    $rowcolor = tablos();
    echo "<table border=\"0\" width=\"85%\" cellpadding=\"0\" cellspacing=\"1\"><tr $rowcolor><td>";
    $rowcolor = tablos();
    echo "<table width=\"100%\" border=\"0\" cellpadding=\"8\" cellspacing=\"1\"><tr $rowcolor>";
    echo "<td valign=\"top\"><b>".adm_translate("Langue de Prvisualisation")."</b> : ".aff_localzone_langue("local_user_language")."<br /><br />";
    $no_img=false;
    if ((file_exists("$tipath$topicimage")) and ($topicimage!="")) {
       echo "<img src=\"$tipath$topicimage\" border=\"0\" align=\"right\" alt=\"\" />";
    } else {
       $no_img=true;
    }
    code_aff($subject, meta_lang($story), meta_lang($bodytext), "");
    if ($no_img) {
       echo "</td><td width=\"10%\" align=\"center\" valign=\"middle\"><b>".aff_langue($topictext)."</b>";
    }
    echo "</td></tr></table></td></tr></table></p><br />";
    opentable2();
    echo "<b>".adm_translate("Utilisateur")."</b> : <input class=\"textbox_standard\" type=\"text\" name=\"author\" size=\"50\" value=\"$uname\">&nbsp;";
    if ($ibid=theme_image("forum/icons/posticon.gif")) {$imgtmp=$ibid;} else {$imgtmp="images/forum/icons/posticon.gif";}
    echo "<a href=\"replypmsg.php?send=".urlencode($uname)."\" target=\"_blank\"><img src=\"$imgtmp\" border=\"0\" alt=\"".adm_translate("Diffusion d'un Message Interne")."\" /></a><br /><br />";

    echo "<b>".adm_translate("Titre")."</b>&nbsp;&nbsp;: <input class=\"textbox\" type=\"text\" name=\"subject\" size=\"50\" value=\"$subject\"><br />";
    echo "<b>".adm_translate("Sujet")."</b> : <select class=\"textbox_standard\" name=\"topic\">";
    $toplist = sql_query("select topicid, topictext, topicadmin from ".$NPDS_Prefix."topics order by topictext");
    if ($radminsuper) echo "<option value=\"\">".adm_translate("Tous les Sujets")."</option>\n";
    while(list($topicid, $topics, $topicadmin) = sql_fetch_row($toplist)) {
       $affiche=false;
       if ($radminsuper) {
          $affiche=true;
       } else {
          $topicadminX=explode(",",$topicadmin);
          for ($i = 0; $i < count($topicadminX); $i++) {
             if (trim($topicadminX[$i])==$aid) $affiche=true;
          }
       }
       if ($affiche) {
          if ($topicid==$topic) { $sel = "selected "; }
          echo "<option $sel value=\"$topicid\">".aff_langue($topics)."</option>\n";
          $sel = "";
       }
    }
    echo "</select>";
    SelectCategory($cat);
    echo "<br />";
    puthome($ihome);
    closetable2();

    echo "<br /><b>".adm_translate("Texte d'introduction")."</b> :<br />
    <textarea class=\"textbox\" wrap=\"virtual\" cols=\"70\" rows=\"25\" name=\"hometext\" style=\"width: 100%;\">$story</textarea>";
    echo aff_editeur("hometext", "true");
    echo "<br /><b>".adm_translate("Texte tendu")."</b> :<br />
    <textarea class=\"textbox\" wrap=\"virtual\" cols=\"70\" rows=\"25\" name=\"bodytext\" style=\"width: 100%;\">$bodytext</textarea>";
    echo aff_editeur("bodytext", "true");
    echo "<br /><b>".adm_translate("Notes")."</b> :<br />
    <textarea class=\"textbox\" wrap=\"virtual\" cols=\"70\" rows=\"7\" name=\"notes\" style=\"width: 100%;\"></textarea>";
    echo aff_editeur("notes", "true");

    $deb_day=substr($date_debval,8,2);
    $deb_month=substr($date_debval,5,2);
    $deb_year=substr($date_debval,0,4);
    $deb_hour=substr($date_debval,11,2);
    $deb_min=substr($date_debval,14,2);
    //
    $fin_day=substr($date_finval,8,2);
    $fin_month=substr($date_finval,5,2);
    $fin_year=substr($date_finval,0,4);
    $fin_hour=substr($date_finval,11,2);
    $fin_min=substr($date_finval,14,2);
    //
    publication($deb_day,$deb_month,$deb_year,$deb_hour,$deb_min, $fin_day,$fin_month,$fin_year,$fin_hour,$fin_min, $epur);

/****************************************************************************************************/
/****************************************** deb module tag ******************************************/

	global $language;

	include_once('modules/tags/lang/'.$language.'.php');

	$sql = sql_query("SELECT tag FROM ".$NPDS_Prefix."tags WHERE item_id = '$qid' AND lien='articlesoum'");
	list($tag) = sql_fetch_row($sql);

	$tag = str_replace("+", " ", $tag);

	echo '<div align="center" class="ligna">'
	.''.tag_trad('Tags s&eacute;par&eacute;s par une virgule').'&nbsp;&nbsp;&nbsp;'
	.'<input type="text" name="newtag" size="50" value="'.$tag.'" />'
	.'</div>';

/****************************************** fin module tag *******************************************/
/*****************************************************************************************************/

    echo "<br />
    <input type=\"hidden\" name=\"qid\" value=\"$qid\">
    <input type=\"hidden\" name=\"uid\" value=\"$uid\">
    <select class=\"textbox_standard\" name=\"op\">
    <option value=\"DeleteStory\">".adm_translate(" Effacer l'Article ")."</option>
    <option value=\"PreviewAgain\" selected>".adm_translate(" Re-prvisualiser ")."</option>
    <option value=\"PostStory\">".adm_translate("Poster un Article ")."</option>
    </select>
    <input class=\"bouton_standard\" type=\"submit\" value=\"".adm_translate("Ok")."\">
    </form>";
    closetable();
    include ('footer.php');
}

function previewStory($qid, $uid, $author, $subject, $hometext, $bodytext, $topic, $notes, $catid, $ihome, $members, $Mmembers, $deb_day,$deb_month,$deb_year,$deb_hour,$deb_min, $fin_day,$fin_month,$fin_year,$fin_hour,$fin_min, $epur, $newtag) {
    global $NPDS_Prefix;
    global $tipath, $hlpfile, $language, $aid, $radminsuper;
    $hlpfile = "manuels/$language/newarticle.html";
    $subject = stripslashes(str_replace("\"","&quot;",$subject));
    $hometext = stripslashes($hometext);
    $bodytext = stripslashes($bodytext);
    $notes = stripslashes($notes);

    if ($topic<1) {$topic = 1;}
    $affiche=false;
    $result2=sql_query("select topictext, topicimage, topicadmin from ".$NPDS_Prefix."topics where topicid='$topic'");
    list ($topictext, $topicimage, $topicadmin)=sql_fetch_row($result2);
    if ($radminsuper) {
       $affiche=true;
    } else {
       $topicadminX=explode(",",$topicadmin);
       for ($i = 0; $i < count($topicadminX); $i++) {
          if (trim($topicadminX[$i])==$aid) $affiche=true;
       }
    }
    if (!$affiche) { header("location: admin.php?op=submissions");}

    include ('header.php');
    GraphicAdmin($hlpfile);
    opentable();
    echo "<table width=\"100%\" cellspacing=\"2\" cellpadding=\"2\" border=\"0\"><tr><td class=\"header\">\n";
    echo adm_translate("Prvisualiser l'Article");
    echo "</td></tr></table>\n";
    global $local_user_language;
    echo "<form action=\"admin.php\" method=\"post\" name=\"adminForm\">";
    echo "<p align=\"center\">";
    $rowcolor = tablos();
    echo "<table border=\"0\" width=\"85%\" cellpadding=\"0\" cellspacing=\"1\"><tr $rowcolor><td>";
    $rowcolor = tablos();
    echo "<table width=\"100%\" border=\"0\" cellpadding=\"8\" cellspacing=\"1\"><tr $rowcolor>";
    echo "<td valign=\"top\"><b>".adm_translate("Langue de Prvisualisation")."</b> : ".aff_localzone_langue("local_user_language")."<br /><br />";
    $no_img=false;
    if ((file_exists("$tipath$topicimage")) and ($topicimage!="")) {
       echo "<img src=\"$tipath$topicimage\" border=\"0\" align=\"right\" alt=\"\" />";
    } else {
       $no_img=true;
    }
    code_aff($subject, meta_lang($hometext), meta_lang($bodytext), meta_lang($notes));
    if ($no_img) {
       echo "</td><td width=\"10%\" align=\"center\" valign=\"middle\"><b>".aff_langue($topictext)."</b>";
    }
    echo "</td></tr></table></td></tr></table></p><br />";
    opentable2();
    echo "<b>".adm_translate("Utilisateur")."</b> : <input class=\"textbox_standard\" type=\"text\" name=\"author\" size=\"50\" value=\"$author\"><br /><br />";
    echo "<b>".adm_translate("Titre")."</b>&nbsp;&nbsp;: <input class=\"textbox\" type=\"text\" name=\"subject\" size=\"50\" value=\"$subject\"><br />";
    echo "<b>".adm_translate("Sujet")."</b> : <select class=\"textbox_standard\" name=\"topic\">";
    $toplist = sql_query("select topicid, topictext, topicadmin from ".$NPDS_Prefix."topics order by topictext");
    if ($radminsuper) echo "<option value=\"\">".adm_translate("Tous les Sujets")."</option>\n";
    while(list($topicid, $topics, $topicadmin) = sql_fetch_row($toplist)) {
       $affiche=false;
       if ($radminsuper) {
          $affiche=true;
       } else {
          $topicadminX=explode(",",$topicadmin);
          for ($i = 0; $i < count($topicadminX); $i++) {
             if (trim($topicadminX[$i])==$aid) $affiche=true;
          }
       }
       if ($affiche) {
          if ($topicid==$topic) { $sel = "selected "; }
          echo "<option $sel value=\"$topicid\">".aff_langue($topics)."</option>\n";
          $sel = "";
       }
    }
    echo "</select>";
    SelectCategory($catid);
    echo "<br />";
    if (($members==1) and ($Mmembers=="")) {$ihome="-127";}
    if (($members==1) and (($Mmembers>1) and ($Mmembers<=127))) {$ihome=$Mmembers;}
    puthome($ihome);
    closetable2();

    echo "<br /><b>".adm_translate("Texte d'introduction")."</b> :<br />
    <textarea class=\"textbox\" wrap=\"virtual\" cols=\"70\" rows=\"25\" name=\"hometext\" style=\"width: 100%;\">$hometext</textarea>";
    echo aff_editeur("hometext", "true");
    echo "<br /><b>".adm_translate("Texte tendu")."</b> :<br />
    <textarea class=\"textbox\" wrap=\"virtual\" cols=\"70\" rows=\"25\" name=\"bodytext\" style=\"width: 100%;\">$bodytext</textarea>";
    echo aff_editeur("bodytext", "true");
    echo "<br /><b>".adm_translate("Notes")."</b> :<br />
    <textarea class=\"textbox\" wrap=\"virtual\" cols=\"70\" rows=\"7\" name=\"notes\" style=\"width: 100%;\">$notes</textarea>";
    echo aff_editeur("notes", "true");

    publication($deb_day,$deb_month,$deb_year,$deb_hour,$deb_min, $fin_day,$fin_month,$fin_year,$fin_hour,$fin_min, $epur);

/****************************************************************************************************/
/****************************************** deb module tag ******************************************/

	global $language;

	include_once('modules/tags/lang/'.$language.'.php');

	echo '<div align="center" class="ligna">'
	.''.tag_trad('Tags s&eacute;par&eacute;s par une virgule').'&nbsp;&nbsp;&nbsp;'
	.'<input type="text" name="newtag" size="50" value="'.$newtag.'" />'
	.'</div>';

/****************************************** fin module tag *******************************************/
/*****************************************************************************************************/

    echo "<input type=\"hidden\" name=\"qid\" value=\"$qid\">
    <input type=\"hidden\" name=\"uid\" value=\"$uid\">
    <br /><select class=\"textbox_standard\" name=\"op\">
    <option value=\"DeleteStory\">".adm_translate(" Effacer l'Article ")."</option>
    <option value=\"PreviewAgain\" selected>".adm_translate(" Re-prvisualiser ")."</option>
    <option value=\"PostStory\">".adm_translate("Poster un Article ")."</option>
    </select>
    <input class=\"bouton_standard\" type=\"submit\" value=\"".adm_translate("Ok")."\"></form>";
    closetable();
    include ('footer.php');
}

function postStory($type_pub, $qid, $uid, $author, $subject, $hometext, $bodytext, $topic, $notes, $catid, $ihome, $members, $Mmembers, $date_debval,$date_finval,$epur, $tag, $newtag) {
    global $NPDS_Prefix;
    global $aid, $ultramode;
    if ($uid == 1) $author = "";
    if ($hometext == $bodytext) $bodytext = "";
    $subject = stripslashes(FixQuotes(str_replace("\"","&quot;",$subject)));
    $hometext = stripslashes(FixQuotes($hometext));
    $bodytext = stripslashes(FixQuotes($bodytext));
    $notes = stripslashes(FixQuotes($notes));
    if (($members==1) and ($Mmembers=="")) {$ihome="-127";}
    if (($members==1) and (($Mmembers>1) and ($Mmembers<=127))) {$ihome=$Mmembers;}
    $upload=false;
    include("modules/upload/upload_f.php");
    if ($Xstring=prepa_upload("",$hometext)) {$hometext=$Xstring[0];$Xname=$Xstring[1];$upload=true;}
    if ($Xstring=prepa_upload($Xname,$bodytext)) {$bodytext=$Xstring[0];$Xname=$Xstring[1];$upload=true;}
    if ($Xstring=prepa_upload($Xname,$notes)) {$notes=$Xstring[0];$Xname=$Xstring[1];$upload=true;}
    if ($upload) {
       include ('header.php');
       win_upload($Xname);
       opentable();
       $subject="!urlencode!".urlencode($subject);
       $hometext=urlencode($hometext);
       $bodytext=urlencode($bodytext);
       $notes=urlencode($notes);
       echo "<br /><form action=\"admin.php\" method=\"post\" name=\"adminForm\">";
       echo "<b>".translate("Submission in progress. After Uploading your files, please click on the OK button to finish.")."</b>";
       echo "<input type=\"hidden\" name=\"qid\" value=\"$qid\">";
       echo "<input type=\"hidden\" name=\"uid\" value=\"$uid\">";
       echo "<input type=\"hidden\" name=\"author\" value=\"$author\">";
       echo "<input type=\"hidden\" name=\"subject\" value=\"$subject\">";
       echo "<input type=\"hidden\" name=\"hometext\" value=\"$hometext\">";
       echo "<input type=\"hidden\" name=\"bodytext\" value=\"$bodytext\">";
       echo "<input type=\"hidden\" name=\"topic\" value=\"$topic\">";
       echo "<input type=\"hidden\" name=\"notes\" value=\"$notes\">";
       echo "<input type=\"hidden\" name=\"catid\" value=\"$catid\">";
       echo "<input type=\"hidden\" name=\"ihome\" value=\"$ihome\">";
       echo "<input type=\"hidden\" name=\"members\" value=\"$members\">";
       echo "<input type=\"hidden\" name=\"Mmembers\" value=\"$Mmembers\">";
       echo "<input type=\"hidden\" name=\"date_debval\" value=\"$date_debval\">";
       echo "<input type=\"hidden\" name=\"date_finval\" value=\"$date_finval\">";
       echo "<input type=\"hidden\" name=\"epur\" value=\"$epur\">";
       echo "<input type=\"hidden\" name=\"op\" value=\"PostStory\">";
       echo "<br /><br /><p align=\"center\"><input class=\"bouton_standard\" type=\"submit\" name=\"xop\" value=\"Ok\">&nbsp;&nbsp;<a href=\"javascript: history.go(-1)\" class=\"noir\">[ ".adm_translate("Retour en arrire")." ]</a></p>";
       echo "</form>";
       closetable();
       include ('footer.php');
    } else {
       if (substr($subject,0,11)=="!urlencode!") {
          $subject=str_replace("!urlencode!","",urldecode($subject));
          $hometext=urldecode($hometext);
          $bodytext=urldecode($bodytext);
          $notes=urldecode($notes);
       }

       if ($type_pub=="pub_immediate")
       {

          $result = sql_query("insert into ".$NPDS_Prefix."stories values (NULL, '$catid', '$aid', '$subject', now(), '$hometext', '$bodytext', '0', '0', '$topic','$author', '$notes', '$ihome', '0', '$date_finval','$epur')");

/****************************************************************************************************/
/****************************************** deb module tag ******************************************/

		if ($tag)
		{

			include('modules/tags/tag_fonc.php');

			if (cur_charset!="utf-8") {$tag = tag_noac(strtolower($tag));}else{$tag = tag_noac(utf8_decode(strtolower($tag)));}

			/*On enleve les espaces debut et fin de mot*/
			$newt = explode(",",$tag);
			for ($o = 0; $o < sizeof($newt); $o++)
			{

				$newt1 .= "".trim($newt[$o]).",";

			}

			/*On enleve la derniere virgule*/
			$tag1 = substr($newt1,0,-1);

			/*On remplace les espaces des tags*/
			$tag1 = str_replace(" ", "+", $tag1);

			$sql = sql_query("SELECT sid FROM ".$NPDS_Prefix."stories ORDER BY sid DESC LIMIT 0,1");
			list($sid) = sql_fetch_row($sql);

			$update1 = "INSERT INTO ".$NPDS_Prefix."tags VALUES ('', '$tag1', '$sid', '', 'article', '1')";
			sql_query($update1) or die(sql_error());

		}

/****************************************** fin module tag *******************************************/
/*****************************************************************************************************/

/****************************************************************************************************/
/****************************************** deb module tag ******************************************/

		if ($newtag)
		{

			include('modules/tags/tag_fonc.php');

			if (cur_charset!="utf-8") {$newtag = tag_noac(strtolower($newtag));}else{$newtag = tag_noac(utf8_decode(strtolower($newtag)));}

			/*On enleve les espaces debut et fin de mot*/
			$newt = explode(",",$newtag);
			for ($o = 0; $o < sizeof($newt); $o++)
			{

				$newt1 .= "".trim($newt[$o]).",";

			}

			/*On enleve la derniere virgule*/
			$newtag1 = substr($newt1,0,-1);

			/*On remplace les espaces des tags*/
			$newtag1 = str_replace(" ", "+", $newtag1);

			$res = sql_query("SELECT sid FROM ".$NPDS_Prefix."stories ORDER BY sid DESC LIMIT 0,1");
			list($sid) = sql_fetch_row($res);

			$res = sql_query("SELECT id FROM ".$NPDS_Prefix."tags WHERE item_id = '$qid' AND lien = 'articlesoum'");
			$num = sql_num_rows($res);
			if ($num == 0)
			{

				$update1 = "INSERT INTO ".$NPDS_Prefix."tags VALUES ('', '$newtag1', '$sid', '', 'article', '1')";
				sql_query($update1) or die(sql_error());

			}
			else
			{

				list($tid) = sql_fetch_row($res);

				$query1 = "UPDATE ".$NPDS_Prefix."tags SET tag = '$newtag1', item_id = '$sid', lien = 'article', statut = '1' WHERE id = '$tid'";
				sql_query($query1) or die(sql_error());

			}

		}

/****************************************** fin module tag *******************************************/
/*****************************************************************************************************/

       }
       else
       {

          $result = sql_query("insert into ".$NPDS_Prefix."autonews values (NULL, '$catid', '$aid', '$subject', now(), '$hometext', '$bodytext', '$topic', '$author', '$notes', '$ihome','$date_debval','$date_finval','$epur')");

/****************************************************************************************************/
/****************************************** deb module tag ******************************************/

			if ($tag)
			{

				include('modules/tags/tag_fonc.php');

				if (cur_charset!="utf-8") {$tag = tag_noac(strtolower($tag));}else{$tag = tag_noac(utf8_decode(strtolower($tag)));}

				/*On enleve les espaces debut et fin de mot*/
				$newt = explode(",",$tag);
				for ($o = 0; $o < sizeof($newt); $o++)
				{

					$newt1 .= "".trim($newt[$o]).",";

				}

				/*On enleve la derniere virgule*/
				$tag1 = substr($newt1,0,-1);

				/*On remplace les espaces des tags*/
				$tag1 = str_replace(" ", "+", $tag1);

				$sql = sql_query("SELECT anid FROM ".$NPDS_Prefix."autonews ORDER BY anid DESC LIMIT 0,1");
				list($anid) = sql_fetch_row($sql);

				$update1 = "INSERT INTO ".$NPDS_Prefix."tags VALUES ('', '$tag1', '$anid', '', 'articleauto', '0')";
				sql_query($update1) or die(sql_error());

			}

/****************************************** fin module tag *******************************************/
/*****************************************************************************************************/

       }

       if (($uid!=1) and ($uid!="")) {
          sql_query("update ".$NPDS_Prefix."users set counter=counter+1 where uid='$uid'");
       }
       sql_query("update ".$NPDS_Prefix."authors set counter=counter+1 where aid='$aid'");
       if ($ultramode) {
          ultramode();
       }
       deleteStory($qid);

       if ($type_pub=="pub_immediate") {
          global $subscribe;
          if ($subscribe) {
             subscribe_mail("topic",$topic,"",$subject,"");
          }
          // Cluster Paradise
          if (file_exists("modules/cluster-paradise/cluster-activate.php")) {include ("modules/cluster-paradise/cluster-activate.php");}
          if (file_exists("modules/cluster-paradise/cluster-M.php")) {include ("modules/cluster-paradise/cluster-M.php");}
          // Cluster Paradise
       }
       redirect_url("admin.php?op=submissions");
    }
}

function editStory ($sid) {
    if (($sid=="") or ($sid=="0")) {
       header("location: admin.php");
    }
    global $NPDS_Prefix;
    global $tipath, $hlpfile, $language, $aid, $radminsuper;
    $hlpfile = "manuels/$language/newarticle.html";

    $result = sql_query("SELECT catid, title, hometext, bodytext, topic, notes, ihome, date_finval,auto_epur FROM ".$NPDS_Prefix."stories where sid='$sid'");
    list($catid, $subject, $hometext, $bodytext, $topic, $notes, $ihome, $date_finval,$epur) = sql_fetch_row($result);
    $subject = stripslashes($subject);
    $hometext = stripslashes($hometext);
    if ($ibid=theme_image("pick.gif")) {$imgtmp=$ibid;} else {$imgtmp="images/pick.gif";}
    $hometext=str_replace("<img src=\"".$imgtmp."\" border=\"0\" align=\"center\" alt=\"\" /> :: ","",$hometext);
    $bodytext = stripslashes($bodytext);
    $notes = stripslashes($notes);

    $affiche=false;
    $result2=sql_query("select topictext, topicimage, topicadmin from ".$NPDS_Prefix."topics where topicid='$topic'");
    list ($topictext, $topicimage, $topicadmin)=sql_fetch_row($result2);
    if ($radminsuper) {
       $affiche=true;
    } else {
       $topicadminX=explode(",",$topicadmin);
       for ($i = 0; $i < count($topicadminX); $i++) {
          if (trim($topicadminX[$i])==$aid) $affiche=true;
       }
    }
    if (!$affiche) { header("location: admin.php");}

    include ('header.php');
    GraphicAdmin($hlpfile);
    opentable();
    echo "<table width=\"100%\" cellspacing=\"2\" cellpadding=\"2\" border=\"0\"><tr><td class=\"header\">\n";
    echo adm_translate("Editer un Article");
    echo "</td></tr></table><br />\n";
    $result=sql_query("select topictext, topicimage from ".$NPDS_Prefix."topics where topicid='$topic'");
    list($topictext, $topicimage) = sql_fetch_row($result);

    echo "<p align=\"center\">";
    $rowcolor = tablos();
    echo "<table border=\"0\" width=\"85%\" cellpadding=\"0\" cellspacing=\"1\"><tr $rowcolor><td>";
    $rowcolor = tablos();
    echo "<table width=\"100%\" border=\"0\" cellpadding=\"8\" cellspacing=\"1\"><tr $rowcolor>";
    echo "<td valign=\"top\"><b>".aff_local_langue("<b>".adm_translate("Langue de Prvisualisation")."</b> : ","","local_user_language");
    $no_img=false;
    if ((file_exists("$tipath$topicimage")) and ($topicimage!="")) {
       echo "<img src=\"$tipath$topicimage\" border=\"0\" align=\"right\" alt=\"\" />";
    } else {
       $no_img=true;
    }
    global $local_user_language;
    code_aff($subject, $hometext, $bodytext, $notes);
    if ($no_img) {
       echo "</td><td width=\"10%\" align=\"center\" valign=\"middle\"><b>".aff_langue($topictext)."</b>";
    }
    echo "</td></tr></table></td></tr></table></p><br />";

    echo "<form action=\"admin.php\" method=\"post\" name=\"adminForm\">";
    opentable2();
    echo "<b>".adm_translate("Titre")."</b>&nbsp;&nbsp;: <input class=\"textbox\" type=\"text\" name=\"subject\" size=\"50\" value=\"$subject\"><br />";
    echo "<b>".adm_translate("Sujet")."</b> : <select class=\"textbox_standard\" name=\"topic\">";
    $toplist = sql_query("select topicid, topictext, topicadmin from ".$NPDS_Prefix."topics order by topictext");
    if ($radminsuper) echo "<option value=\"\">".adm_translate("Tous les Sujets")."</option>\n";
    while(list($topicid, $topics, $topicadmin) = sql_fetch_row($toplist)) {
       $affiche=false;
       if ($radminsuper) {
          $affiche=true;
       } else {
          $topicadminX=explode(",",$topicadmin);
          for ($i = 0; $i < count($topicadminX); $i++) {
             if (trim($topicadminX[$i])==$aid) $affiche=true;
          }
       }
       if ($affiche) {
          if ($topicid==$topic) { $sel = "selected "; }
          echo "<option value=\"$topicid\" $sel>".aff_langue($topics)."</option>\n";
          $sel = "";
       }
    }
    echo "</select>";
    SelectCategory($catid);
    echo "<br />";
    puthome($ihome);
    closetable2();

    echo "<br /><b>".adm_translate("Texte d'introduction")."</b> :<br />
    <textarea class=\"textbox\" wrap=\"virtual\" cols=\"70\" rows=\"25\" name=\"hometext\" style=\"width: 100%;\">$hometext</textarea>";
    echo aff_editeur("hometext", "true");
    echo "<br /><b>".adm_translate("Texte complet")."</b> :<br />
    <textarea class=\"textbox\" wrap=\"virtual\" cols=\"70\" rows=\"25\" name=\"bodytext\" style=\"width: 100%;\">$bodytext</textarea>";
    echo aff_editeur("bodytext", "true");
    echo "<br /><b>".adm_translate("Notes")."</b> :<br />
    <textarea class=\"textbox\" wrap=\"virtual\" cols=\"70\" rows=\"7\" name=\"notes\" style=\"width: 100%;\">$notes</textarea>";
    echo aff_editeur("notes", "true");

    echo "<br /><b>".adm_translate("Changer la date ? : ")."</b> ".adm_translate("Oui")." <input type=\"checkbox\" name=\"Cdate\" value=\"true\"> - ";
    echo "<b>".adm_translate("Remettre cet article en premire position ? : ")."</b> ".adm_translate("Oui")." <input type=\"checkbox\" name=\"Csid\" value=\"true\"><br /><br />";

    if ($date_finval!="") {
       $fin_day=substr($date_finval,8,2);
       $fin_month=substr($date_finval,5,2);
       $fin_year=substr($date_finval,0,4);
       $fin_hour=substr($date_finval,11,2);
       $fin_min=substr($date_finval,14,2);
    } else {
       $fin_day="01";
       $fin_month="01";
       $fin_year=date("Y")+99;
       $fin_hour="00";
       $fin_min="00";
    }
    publication(-1,-1,-1,-1,-1, $fin_day,$fin_month,$fin_year,$fin_hour,$fin_min, $epur);

/****************************************************************************************************/
/****************************************** deb module tag ******************************************/


	global $language;

	include_once('modules/tags/lang/'.$language.'.php');

	$sql = sql_query("SELECT tag FROM ".$NPDS_Prefix."tags WHERE item_id = '$sid' AND lien = 'article'");
	list($tag) = sql_fetch_row($sql);

	$tag = str_replace("+", " ", $tag);

	echo '<div align="center" class="ligna">'
	.''.tag_trad('Tags s&eacute;par&eacute;s par une virgule').'&nbsp;&nbsp;&nbsp;'
	.'<input type="text" name="newtag" size="50" value="'.$tag.'" />'
	.'</div>';

/****************************************** fin module tag *******************************************/
/*****************************************************************************************************/

    global $theme;
    echo "<br /><input type=\"hidden\" name=\"sid\" value=\"$sid\">
    <input type=\"hidden\" name=\"op\" value=\"ChangeStory\">
    <input type=\"hidden\" name=\"theme\" value=\"$theme\">
    <input class=\"bouton_standard\" type=\"submit\" value=\"".adm_translate(" Modifier l'Article")."\">
    </form>";
    closetable();
    include ('footer.php');
}

function deleteStory($qid) {
   global $NPDS_Prefix;

/****************************************************************************************************/
/****************************************** deb module tag ******************************************/

	sql_query("DELETE FROM ".$NPDS_Prefix."tags WHERE item_id = '$qid' AND lien = 'articlesoum'");

/****************************************** fin module tag *******************************************/
/*****************************************************************************************************/

   $result=sql_query("delete from ".$NPDS_Prefix."queue where qid='$qid'");
   global $aid; Ecr_Log("security", "deleteStoryfromQueue($qid) by AID : $aid", "");
}

function removeStory ($sid, $ok=0) {
    if (($sid=="") or ($sid=="0")) {
       header("location: admin.php");
    }
    global $NPDS_Prefix;
    global $ultramode, $aid, $radminsuper;
    $result=sql_query("select topic from ".$NPDS_Prefix."stories where sid='$sid'");
    list($topic)=sql_fetch_row($result);
    $affiche=false;
    $result2=sql_query("select topicadmin from ".$NPDS_Prefix."topics where topicid='$topic'");
    list ($topicadmin, $topicname)=sql_fetch_row($result2);
    if ($radminsuper) {
       $affiche=true;
    } else {
       $topicadminX=explode(",",$topicadmin);
       for ($i = 0; $i < count($topicadminX); $i++) {
          if (trim($topicadminX[$i])==$aid) $affiche=true;
       }
    }
    if (!$affiche) { header("location: admin.php");}

    if ($ok) {

/****************************************************************************************************/
/****************************************** deb module tag ******************************************/

		sql_query("DELETE FROM ".$NPDS_Prefix."tags WHERE item_id = '$sid' AND lien = 'article'");

/****************************************** fin module tag *******************************************/
/*****************************************************************************************************/

       sql_query("DELETE FROM ".$NPDS_Prefix."stories where sid='$sid'");

       // commentaires
       if (file_exists("modules/comments/article.conf.php")) {
           include ("modules/comments/article.conf.php");
           sql_query("DELETE FROM ".$NPDS_Prefix."posts WHERE forum_id='$forum' and topic_id='$topic'");
       }
       global $aid; Ecr_Log("security", "removeStory ($sid, $ok) by AID : $aid", "");
       if ($ultramode) {
          ultramode();
       }
       Header("Location: admin.php");
    } else {
       global $hlpfile, $language;
       $hlpfile = "manuels/$language/newarticle.html";
       include ('header.php');
       GraphicAdmin($hlpfile);
       opentable();
       echo "<p align=\"center\"><span class=\"rouge\">".adm_translate("Etes-vous sr de vouloir effacer l'Article N")." $sid ".adm_translate("et tous ses Commentaires ?")."</span>";
       echo "<br /><br />[ <a href=\"admin.php?op=RemoveStory&amp;sid=$sid&amp;ok=1\" class=\"rouge\">".adm_translate("Oui")."</a> | <a href=\"admin.php\" class=\"noir\">".adm_translate("Non")."</a> ]</p><br />";
       closetable();
       include("footer.php");
    }
}

function changeStory($sid, $subject, $hometext, $bodytext, $topic, $notes, $catid, $ihome, $members, $Mmembers, $Cdate, $Csid, $date_finval,$epur,$theme, $newtag) {
    global $NPDS_Prefix;
    global $aid, $ultramode;
    $subject = stripslashes(FixQuotes(str_replace("\"","&quot;",$subject)));
    $hometext = stripslashes(FixQuotes($hometext));
    $bodytext = stripslashes(FixQuotes($bodytext));
    $notes = stripslashes(FixQuotes($notes));
    if (($members==1) and ($Mmembers=="")) {$ihome="-127";}
    if (($members==1) and (($Mmembers>1) and ($Mmembers<=127))) {$ihome=$Mmembers;}
    $upload=false;
    include("modules/upload/upload_f.php");
    if ($Xstring=prepa_upload("",$hometext)) {$hometext=$Xstring[0];$Xname=$Xstring[1];$upload=true;}
    if ($Xstring=prepa_upload($Xname,$bodytext)) {$bodytext=$Xstring[0];$Xname=$Xstring[1];$upload=true;}
    if ($Xstring=prepa_upload($Xname,$notes)) {$notes=$Xstring[0];$Xname=$Xstring[1];$upload=true;}
    if ($upload) {
       include ('header.php');
       win_upload($Xname);
       opentable();
       $subject="!urlencode!".urlencode($subject);
       $hometext=urlencode($hometext);
       $bodytext=urlencode($bodytext);
       $notes=urlencode($notes);
       echo "<br /><form action=\"admin.php\" method=\"post\" name=\"adminForm\">";
       echo "<b>".translate("Submission in progress. After Uploading your files, please click on the OK button to finish.")."</b>";
       echo "<input type=\"hidden\" name=\"sid\" value=\"$sid\">";
       echo "<input type=\"hidden\" name=\"subject\" value=\"$subject\">";
       echo "<input type=\"hidden\" name=\"hometext\" value=\"$hometext\">";
       echo "<input type=\"hidden\" name=\"bodytext\" value=\"$bodytext\">";
       echo "<input type=\"hidden\" name=\"topic\" value=\"$topic\">";
       echo "<input type=\"hidden\" name=\"notes\" value=\"$notes\">";
       echo "<input type=\"hidden\" name=\"catid\" value=\"$catid\">";
       echo "<input type=\"hidden\" name=\"ihome\" value=\"$ihome\">";
       echo "<input type=\"hidden\" name=\"members\" value=\"$members\">";
       echo "<input type=\"hidden\" name=\"Mmembers\" value=\"$Mmembers\">";
       echo "<input type=\"hidden\" name=\"Cdate\" value=\"$Cdate\">";
       echo "<input type=\"hidden\" name=\"Csid\" value=\"$Csid\">";
       echo "<input type=\"hidden\" name=\"date_finval\" value=\"$date_finval\">";
       echo "<input type=\"hidden\" name=\"epur\" value=\"$epur\">";
       echo "<input type=\"hidden\" name=\"op\" value=\"ChangeStory\">";
       echo "<br /><br /><p align=\"center\"><input class=\"bouton_standard\" type=\"submit\" name=\"xop\" value=\"Ok\">&nbsp;&nbsp;<a href=\"javascript: history.go(-1)\" class=\"noir\">[ ".adm_translate("Retour en arrire")." ]</a></p>";
       echo "</form>";
       closetable();
       include ('footer.php');
    } else {
       if (substr($subject,0,11)=="!urlencode!") {
          $subject=str_replace("!urlencode!","",urldecode($subject));
          $hometext=urldecode($hometext);
          $bodytext=urldecode($bodytext);
          $notes=urldecode($notes);
       }
       if ($Cdate) {
          sql_query("update ".$NPDS_Prefix."stories set catid='$catid', title='$subject', hometext='$hometext', bodytext='$bodytext', topic='$topic', notes='$notes', ihome='$ihome',time=now(), date_finval='$date_finval', auto_epur='$epur', archive='0' where sid='$sid'");
       } else {
          sql_query("update ".$NPDS_Prefix."stories set catid='$catid', title='$subject', hometext='$hometext', bodytext='$bodytext', topic='$topic', notes='$notes', ihome='$ihome', date_finval='$date_finval', auto_epur='$epur' where sid='$sid'");
       }
       if ($Csid) {
          if ($ibid=theme_image("pick.gif")) {$imgtmp=$ibid;} else {$imgtmp="images/pick.gif";}
          sql_query("update ".$NPDS_Prefix."stories set hometext='<img src=\"".$imgtmp."\" border=\"0\" align=\"center\" alt=\"\" /> :: $hometext' where sid='$sid'");
          list($Lsid)=sql_fetch_row(sql_query("select sid from ".$NPDS_Prefix."stories order by sid Desc"));
          $Lsid++;
          sql_query("update ".$NPDS_Prefix."stories set sid='$Lsid' where sid='$sid'");
         // commentaires
         if (file_exists("modules/comments/article.conf.php")) {
             include ("modules/comments/article.conf.php");
             sql_query("update ".$NPDS_Prefix."posts set topic_id='$Lsid' WHERE forum_id='$forum' and topic_id='$topic'");
         }
          $sid=$Lsid;
       }

/****************************************************************************************************/
/****************************************** deb module tag ******************************************/

	if ($newtag)
	{

		include('modules/tags/tag_fonc.php');

		if (cur_charset!="utf-8") {$newtag = tag_noac(strtolower($newtag));}else{$newtag = tag_noac(utf8_decode(strtolower($newtag)));}

		/*On enleve les espaces debut et fin de mot*/
		$newt = explode(",",$newtag);
		for ($o = 0; $o < sizeof($newt); $o++)
		{

			$newt1 .= "".trim($newt[$o]).",";

		}

		/*On enleve la derniere virgule*/
		$newtag1 = substr($newt1,0,-1);

		/*On remplace les espaces des tags*/
		$newtag1 = str_replace(" ", "+", $newtag1);

		$res = sql_query("SELECT id FROM ".$NPDS_Prefix."tags WHERE item_id = '$sid' AND lien = 'article'");
		$num = sql_num_rows($res);
		if ($num == '')
		{

			$update1 = "INSERT INTO ".$NPDS_Prefix."tags VALUES ('', '$newtag1', '$sid', '', 'article', '1')";
			sql_query($update1) or die(sql_error());

		}
		else
		{

			list($tid) = sql_fetch_row($res);

			$query1 = "UPDATE ".$NPDS_Prefix."tags SET tag = '$newtag1', statut = '1' WHERE id = '$tid'";
			sql_query($query1) or die(sql_error());

		}

	}

/****************************************** fin module tag *******************************************/
/*****************************************************************************************************/

       global $aid; Ecr_Log("security", "changeStory($sid, $subject, hometext..., bodytext..., $topic, notes..., $catid, $ihome, $members, $Mmembers, $Cdate, $Csid, $date_finval,$epur,$theme) by AID : $aid", "");
       if ($ultramode) {
          ultramode();
       }
       // Cluster Paradise
       if (file_exists("modules/cluster-paradise/cluster-activate.php")) {include ("modules/cluster-paradise/cluster-activate.php");}
       if (file_exists("modules/cluster-paradise/cluster-M.php")) {include ("modules/cluster-paradise/cluster-M.php");}
       // Cluster Paradise
       redirect_url("admin.php?op=EditStory&sid=$sid");
    }
}

function adminStory() {
    global $NPDS_Prefix;
    global $hlpfile, $language, $aid, $radminsuper;
    $hlpfile = "manuels/$language/newarticle.html";
    include ('header.php');
    GraphicAdmin($hlpfile);
    opentable();
    echo "<table width=\"100%\" cellspacing=\"2\" cellpadding=\"2\" border=\"0\"><tr><td class=\"header\">\n";
    echo adm_translate("Nouvel Article");
    echo "</td></tr></table>\n";
    echo "<br />";
    echo "<form action=\"admin.php\" method=\"post\" name=\"adminForm\">";
    opentable2();
    echo "<b>".adm_translate("Titre")."</b>&nbsp;&nbsp;: <input class=\"textbox\" type=\"text\" name=\"subject\" size=\"50\" value=\"\"><br />";
    echo "<b>".adm_translate("Sujet")."</b> : <select class=\"textbox_standard\" name=\"topic\">";
    $toplist = sql_query("select topicid, topictext, topicadmin from ".$NPDS_Prefix."topics order by topictext");
    if ($radminsuper) echo "<option value=\"\">".adm_translate("Slectionner un Sujet")."</option>\n";
    while(list($topicid, $topics, $topicadmin) = sql_fetch_row($toplist)) {
       $affiche=false;
       if ($radminsuper) {
          $affiche=true;
       } else {
          $topicadminX=explode(",",$topicadmin);
          for ($i = 0; $i < count($topicadminX); $i++) {
             if (trim($topicadminX[$i])==$aid) $affiche=true;
          }
       }
       if ($affiche) {
          if ($topicid==$topic) { $sel = "selected "; }
          echo "<option $sel value=\"$topicid\">".aff_langue($topics)."</option>\n";
          $sel = "";
       }
    }
    echo "</select>";
    echo "&nbsp;";
    $cat = 0;
    SelectCategory($cat);
    echo "<br />";
    puthome($ihome);
    closetable2();

    echo "<br /><b>".adm_translate("Texte d'introduction")."</b> :<br />
    <textarea class=\"textbox\" wrap=\"virtual\" cols=\"70\" rows=\"25\" name=\"hometext\" style=\"width: 100%;\">$hometext</textarea>";
    echo aff_editeur("hometext", "true");
    echo "<br /><b>".adm_translate("Texte tendu")."</b> :<br />
    <textarea class=\"textbox\" wrap=\"virtual\" cols=\"70\" rows=\"25\" name=\"bodytext\" style=\"width: 100%;\">$bodytext</textarea>";
    echo aff_editeur("bodytext", "true");

    publication($deb_day,$deb_month,$deb_year,$deb_hour,$deb_min, $fin_day,$fin_month,$fin_year,$fin_hour,$fin_min, $epur);

/****************************************************************************************************/
/****************************************** deb module tag ******************************************/

	global $language;

	include_once('modules/tags/lang/'.$language.'.php');

	echo '<div align="center" class="ligna">'
	.''.tag_trad('Tags s&eacute;par&eacute;s par une virgule').'&nbsp;&nbsp;&nbsp;'
	.'<input type="text" name="tag" size="50" />'
	.'</div>';

/****************************************** fin module tag *******************************************/
/*****************************************************************************************************/

    echo "<input type=\"hidden\" name=\"author\" value=\"$aid\">";
    echo "<br /><input type=\"hidden\" name=\"op\" value=\"PreviewAdminStory\">
    <input class=\"bouton_standard\" type=\"submit\" name=\"submit\" value=\"".adm_translate("Prvisualiser")."\">
    </form>";
    closetable();
    include ('footer.php');
}

function previewAdminStory($subject, $hometext, $bodytext, $topic, $catid, $ihome, $members, $Mmembers, $deb_day,$deb_month,$deb_year,$deb_hour,$deb_min, $fin_day,$fin_month,$fin_year,$fin_hour,$fin_min,  $epur, $tag) {
    global $NPDS_Prefix;
    global $tipath, $hlpfile, $language, $aid, $radminsuper;
    $hlpfile = "manuels/$language/newarticle.html";
    $subject = stripslashes(str_replace("\"","&quot;",$subject));
    $hometext = stripslashes($hometext);
    $bodytext = stripslashes($bodytext);

    if ($topic<1) {$topic = 1;}
    $affiche=false;
    $result2=sql_query("select topictext, topicimage, topicadmin from ".$NPDS_Prefix."topics where topicid='$topic'");
    list ($topictext, $topicimage, $topicadmin)=sql_fetch_row($result2);
    if ($radminsuper) {
       $affiche=true;
    } else {
       $topicadminX=explode(",",$topicadmin);
       for ($i = 0; $i < count($topicadminX); $i++) {
          if (trim($topicadminX[$i])==$aid) $affiche=true;
       }
    }
    if (!$affiche) { header("location: admin.php");}

    include ('header.php');
    GraphicAdmin($hlpfile);
    opentable();
    echo "<table width=\"100%\" cellspacing=\"2\" cellpadding=\"2\" border=\"0\"><tr><td class=\"header\">\n";
    echo adm_translate("Prvisualiser l'Article");
    echo "</td></tr></table><br />\n";
    global $local_user_language;
    echo "<form action=\"admin.php\" method=\"post\" name=\"adminForm\">";
    echo "<p align=\"center\">";
    $rowcolor = tablos();
    echo "<table border=\"0\" width=\"85%\" cellpadding=\"0\" cellspacing=\"1\"><tr $rowcolor><td>";
    $rowcolor = tablos();
    echo "<table width=\"100%\" border=\"0\" cellpadding=\"8\" cellspacing=\"1\"><tr $rowcolor>";
    echo "<td valign=\"top\"><b>".adm_translate("Langue de Prvisualisation")."</b> : ".aff_localzone_langue("local_user_language")."<br /><br />";
    $no_img=false;
    $no_img=false;
    if ((file_exists("$tipath$topicimage")) and ($topicimage!="")) {
       echo "<img src=\"$tipath$topicimage\" border=\"0\" align=\"right\" alt=\"\" />";
    } else {
       $no_img=true;
    }
    code_aff($subject, $hometext, $bodytext, "");
    if ($no_img) {
       echo "</td><td width=\"10%\" align=\"center\" valign=\"middle\"><b>".aff_langue($topictext)."</b>";
    }
    echo "</td></tr></table></td></tr></table></p><br />";
    opentable2();
    echo "<b>".adm_translate("Titre")."</b>&nbsp;&nbsp;: <input class=\"textbox\" type=\"text\" name=\"subject\" size=\"50\" value=\"$subject\"><br />";
    echo "<b>".adm_translate("Sujet")."</b> : <select class=\"textbox_standard\" name=\"topic\">";
    $toplist = sql_query("select topicid, topictext, topicadmin from ".$NPDS_Prefix."topics order by topictext");
    if ($radminsuper) echo "<option value=\"\">".adm_translate("Tous les Sujets")."</option>\n";
    while(list($topicid, $topics, $topicadmin) = sql_fetch_row($toplist)) {
       $affiche=false;
       if ($radminsuper) {
          $affiche=true;
       } else {
          $topicadminX=explode(",",$topicadmin);
          for ($i = 0; $i < count($topicadminX); $i++) {
             if (trim($topicadminX[$i])==$aid) $affiche=true;
          }
       }
       if ($affiche) {
          if ($topicid==$topic) { $sel = "selected "; }
          echo "<option $sel value=\"$topicid\">".aff_langue($topics)."</option>\n";
          $sel = "";
       }
    }
    echo "</select>";
    $cat = $catid;
    SelectCategory($catid);
    echo "<br />";
    if (($members==1) and ($Mmembers=="")) {$ihome="-127";}
    if (($members==1) and (($Mmembers>1) and ($Mmembers<=127))) {$ihome=$Mmembers;}
    puthome($ihome);
    closetable2();

    echo "<br /><b>".adm_translate("Texte d'introduction")."</b> :<br />
    <textarea class=\"textbox\" wrap=\"virtual\" cols=\"70\" rows=\"25\" name=\"hometext\" style=\"width: 100%;\">$hometext</textarea>";
    echo aff_editeur("hometext", "true");
    echo "<br /><b>".adm_translate("Texte tendu")."</b> :<br />
    <textarea class=\"textbox\" wrap=\"virtual\" cols=\"70\" rows=\"25\" name=\"bodytext\" style=\"width: 100%;\">$bodytext</textarea>";
    echo aff_editeur("bodytext", "true");

    publication($deb_day,$deb_month,$deb_year,$deb_hour,$deb_min, $fin_day,$fin_month,$fin_year,$fin_hour,$fin_min, $epur);

/****************************************************************************************************/
/****************************************** deb module tag ******************************************/

	global $language;

	include_once('modules/tags/lang/'.$language.'.php');

	echo '<div align="center" class="ligna">'
	.''.tag_trad('Tags s&eacute;par&eacute;s par une virgule').'&nbsp;&nbsp;&nbsp;'
	.'<input type="text" name="tag" size="50" value="'.$tag.'" />'
	.'</div>';

/****************************************** fin module tag *******************************************/
/*****************************************************************************************************/

    echo "<input type=\"hidden\" name=\"author\" value=\"$aid\">";
    echo "<br /><select class=\"textbox_standard\" name=\"op\">
    <option value=\"PreviewAdminStory\" selected>".adm_translate("Prvisualiser")."</option>
    <option value=\"PostStory\">".adm_translate("Poster un Article Admin")."</option>
    </select> -
    <input class=\"bouton_standard\" type=\"submit\" value=\"".adm_translate("Ok")."\"></form>";
    closetable();
    include ('footer.php');
}

switch($op) {
   case "EditCategory":
        EditCategory($catid);
        break;
   case "DelCategory":
        DelCategory($cat);
        break;
   case "YesDelCategory":
        YesDelCategory($catid);
        break;
   case "NoMoveCategory":
        NoMoveCategory($catid, $newcat);
        break;
   case "SaveEditCategory":
        SaveEditCategory($catid, $title);
        break;
   case "AddCategory":
        AddCategory();
        break;
   case "SaveCategory":
        SaveCategory($title);
        break;

   case "DisplayStory":
        displayStory($qid);
        break;
   case "PreviewAgain":
        previewStory($qid, $uid, $author, $subject, $hometext, $bodytext, $topic, $notes, $catid, $ihome, $members, $Mmembers, $deb_day,$deb_month,$deb_year,$deb_hour,$deb_min, $fin_day,$fin_month,$fin_year,$fin_hour,$fin_min, $epur, $newtag);
        break;
   case "PostStory":
        if (!$date_debval) {
           if (strlen($deb_day)==1) {
              $deb_day = "0$deb_day";
           }
           if (strlen($deb_month)==1) {
              $deb_month = "0$deb_month";
           }
           $date_debval = "$deb_year-$deb_month-$deb_day $deb_hour:$deb_min:00";
        }
        if (!$date_finval) {
           if (strlen($fin_day)==1) {
              $fin_day = "0$fin_day";
           }
           if (strlen($fin_month)==1) {
              $fin_month = "0$fin_month";
           }
           $date_finval = "$fin_year-$fin_month-$fin_day $fin_hour:$fin_min:00";
        }
        if ($date_finval<$date_debval) {
           $date_finval = $date_debval;
        }
        $temp_new=mktime(substr($date_debval,11,2), substr($date_debval,14,2),0,substr($date_debval,5,2),substr($date_debval,8,2),substr($date_debval,0,4));
        $temp=time();
        if ($temp>$temp_new) {
           postStory("pub_immediate",$qid, $uid, $author, $subject, $hometext, $bodytext, $topic, $notes, $catid, $ihome, $members, $Mmembers, $date_debval,$date_finval,$epur, $tag, $newtag);
        } else {
           postStory("pub_automated",$qid, $uid, $author, $subject, $hometext, $bodytext, $topic, $notes, $catid, $ihome, $members, $Mmembers, $date_debval,$date_finval,$epur, $tag);
        }
        break;

   case "DeleteStory":
        deleteStory($qid);
        Header("Location: admin.php?op=submissions");
        break;

   case "EditStory":
        editStory($sid);
        break;
   case "ChangeStory":
        if (!$date_finval) {
           if (strlen($fin_day)==1) {
              $fin_day = "0$fin_day";
           }
           if (strlen($fin_month)==1) {
              $fin_month = "0$fin_month";
           }
           $date_finval = "$fin_year-$fin_month-$fin_day $fin_hour:$fin_min:00";
        }
        changeStory($sid, $subject, $hometext, $bodytext, $topic, $notes, $catid, $ihome, $members, $Mmembers, $Cdate, $Csid, $date_finval,$epur, $theme, $newtag);
        break;
   case "RemoveStory":
        removeStory($sid, $ok);
        break;

   case "adminStory":
        adminStory();
        break;
   case "PreviewAdminStory":
        previewAdminStory($subject, $hometext, $bodytext, $topic, $catid, $ihome, $members, $Mmembers, $deb_day,$deb_month,$deb_year,$deb_hour,$deb_min, $fin_day,$fin_month,$fin_year,$fin_hour,$fin_min,  $epur, $tag);
        break;
}
?>